%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api		2
%define major		0
%define libname		%mklibname xfce4ui %{api} %{major}

%define apikbd		3
%define majorkbd	0
%define libnamekbd	%mklibname xfce4kbd-private %{apikbd} %{majorkbd}

%define gmajor		2.0
%define girname		%mklibname xfce4ui-gir %{gmajor}

%define develname	%mklibname xfce4ui %{api} -d

# to get pkg build with copr
%{!?_real_vendor:%global _real_vendor mageia}

Summary:	Various Xfce widgets for Xfce desktop environment
Name:		libxfce4ui
Version: 	4.19.3
Release: 	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/libxfce4ui/%{url_ver}/%{name}-%{version}.tar.bz2
# Mageia patches
#
BuildRequires:	git-core
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gladeui-2.0)
BuildRequires:	pkgconfig(libgtop-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.18.0
BuildRequires:	pkgconfig(libxfconf-0) >= 4.18.0
BuildRequires:  vala-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig(sm)
Requires:	%{_real_vendor}-release-common

%description
Various Xfce widgets for Xfce desktop environment.

%package -n %{libname}
Summary:	GTK3 GUI libraries for Xfce
Group:		Graphical desktop/Xfce
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
GTK3 GUI libraries for Xfce desktop environment.

%package -n %{libnamekbd}
Summary:	GTK3 GUI libraries for Xfce
Group:		Graphical desktop/Xfce

%description -n %{libnamekbd}
GTK3 GUI libraries for Xfce desktop environment.

%package -n %{name}-glade
Summary:	Glade (GTK+3) modules for %{name}
Group:		Graphical desktop/Xfce
Requires:	glade

%description -n %{name}-glade
This package provides a catalog for Glade (GTK+3) which allows the use of the
provided Xfce widgets in Glade.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary:	Development files and headers for the %{name} library using GTK3
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamekbd} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{develname}
Development files and headers for the %{name} library using GTK3.

%prep
%autosetup -S git_am -p1

%build
%xdt_autogen
%configure \
	--with-vendor-info=%{_vendor} \
	--disable-static \
	--enable-startup-notification \
	--enable-gladeui2 \
	--enable-introspection
%make_build

%install
%make_install

#add vendor info
mkdir -p %{buildroot}%{_datadir}/xfce4/
ln -s %{_sysconfdir}/%{_real_vendor}-release %{buildroot}%{_datadir}/xfce4/vendorinfo

#we don't want these
find %{buildroot} -name "*.la" -delete

# (tpg) this file is in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/xfce4-about
%dir %{_datadir}/xfce4/
%{_datadir}/xfce4/vendorinfo
%{_datadir}/applications/xfce4-about.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.about.{png,svg}
%{_iconsdir}/hicolor/*/apps/xfce4-logo.{png,svg}

%files -n %{libname}
%{_libdir}/libxfce4ui-%{api}.so.%{major}{,.*}

%files -n %{libnamekbd}
%{_libdir}/libxfce4kbd-private-%{apikbd}.so.%{majorkbd}{,.*}

%files -n %{name}-glade
%{_libdir}/glade/modules/libxfce4uiglade2.so
%{_datadir}/glade/catalogs/libxfce4ui-2.xml
%{_datadir}/glade/pixmaps/hicolor/*/*/*%{name}*.png

%files -n %{girname}
%{_libdir}/girepository-1.0/Libxfce4ui-%{gmajor}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/libxfce4ui/
%{_libdir}/pkgconfig/libxfce4kbd-private-%{apikbd}.pc
%{_libdir}/pkgconfig/libxfce4ui-%{api}.pc
%{_libdir}/libxfce4ui-%{api}.so
%{_libdir}/libxfce4kbd-private-%{apikbd}.so
%{_includedir}/xfce4/libxfce4ui-%{api}/
%{_includedir}/xfce4/libxfce4kbd-private-%{apikbd}/
%{_datadir}/gir-1.0/Libxfce4ui-%{gmajor}.gir
%{_datadir}/vala/vapi/libxfce4ui-2.{deps,vapi}
